package org.anarres.jperf;

import java.util.AbstractMap;
import java.util.AbstractSet;
import java.util.Iterator;
import java.util.Set;
import java.util.Map;
import java.util.NoSuchElementException;

public class PerfectObjectMap<K,V> extends PerfectMap<K,V> {

	private int			modulus;

	public PerfectObjectMap(Map.Entry[] table, int modulus) {
		super(table);
		this.modulus = modulus;
	}

	protected int hash(K k) {
		return (k.hashCode() & 0x7FFFFFFF) % modulus;
	}

}
